OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGeom

# IGESGeom_Array1OfCurveOnSurface Class Reference

`#include <IGESGeom_Array1OfCurveOnSurface.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESGeom_Array1OfCurveOnSurface (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGeom_Array1OfCurveOnSurface (const Handle(IGESGeom_CurveOnSurface)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESGeom_CurveOnSurface)&V)
Standard_EXPORT void | Destroy ()
| ~IGESGeom_Array1OfCurveOnSurface ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESGeom_Array1OfCurveOnSurface & | Assign (const IGESGeom_Array1OfCurveOnSurface &Other)
const IGESGeom_Array1OfCurveOnSurface & | operator= (const IGESGeom_Array1OfCurveOnSurface &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGeom_CurveOnSurface)&Value)
const Handle_IGESGeom_CurveOnSurface & | Value (const Standard_Integer Index) const
const Handle_IGESGeom_CurveOnSurface & | operator() (const Standard_Integer Index) const
Handle_IGESGeom_CurveOnSurface & | ChangeValue (const Standard_Integer Index)
Handle_IGESGeom_CurveOnSurface & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESGeom_Array1OfCurveOnSurface (const IGESGeom_Array1OfCurveOnSurface &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Array1OfCurveOnSurface::IGESGeom_Array1OfCurveOnSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGeom_Array1OfCurveOnSurface::IGESGeom_Array1OfCurveOnSurface | ( | const Handle(IGESGeom_CurveOnSurface)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESGeom_Array1OfCurveOnSurface::~IGESGeom_Array1OfCurveOnSurface | ( |  | ) | `[inline]`

Standard_EXPORT IGESGeom_Array1OfCurveOnSurface::IGESGeom_Array1OfCurveOnSurface | ( | const IGESGeom_Array1OfCurveOnSurface & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESGeom_Array1OfCurveOnSurface& IGESGeom_Array1OfCurveOnSurface::Assign | ( | const IGESGeom_Array1OfCurveOnSurface & | Other | ) |

Handle_IGESGeom_CurveOnSurface& IGESGeom_Array1OfCurveOnSurface::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESGeom_Array1OfCurveOnSurface::Destroy | ( |  | ) |

Standard_EXPORT void IGESGeom_Array1OfCurveOnSurface::Init | ( | const Handle(IGESGeom_CurveOnSurface)& | V | ) |

Standard_Boolean IGESGeom_Array1OfCurveOnSurface::IsAllocated | ( |  | ) | const

Standard_Integer IGESGeom_Array1OfCurveOnSurface::Length | ( |  | ) | const

Standard_Integer IGESGeom_Array1OfCurveOnSurface::Lower | ( |  | ) | const

void IGESGeom_Array1OfCurveOnSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESGeom_Array1OfCurveOnSurface::operator new | ( | size_t | size | ) | `[inline]`

void* IGESGeom_Array1OfCurveOnSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESGeom_CurveOnSurface& IGESGeom_Array1OfCurveOnSurface::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESGeom_CurveOnSurface& IGESGeom_Array1OfCurveOnSurface::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESGeom_Array1OfCurveOnSurface& IGESGeom_Array1OfCurveOnSurface::operator= | ( | const IGESGeom_Array1OfCurveOnSurface & | Other | ) | `[inline]`

void IGESGeom_Array1OfCurveOnSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGeom_CurveOnSurface)& | Value
| ) |

Standard_Integer IGESGeom_Array1OfCurveOnSurface::Upper | ( |  | ) | const

const Handle_IGESGeom_CurveOnSurface& IGESGeom_Array1OfCurveOnSurface::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESGeom_Array1OfCurveOnSurface::isAllocated`[private]`

Standard_Integer IGESGeom_Array1OfCurveOnSurface::myLowerBound`[private]`

Standard_Address IGESGeom_Array1OfCurveOnSurface::myStart`[private]`

Standard_Integer IGESGeom_Array1OfCurveOnSurface::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Array1OfCurveOnSurface.hxx